## gocc 0.0~git20211213.7ea6993

=== Makefile ===
.PHONY: test

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

install: ## install the gocc binary
	go install .

test: ## run all unit tests
	go test -v ./...

gofmt: ## format all go files
	gofmt -l -s -w .

govet: ## run go's code vetting on all code
	go vet ./...

ci-lint: ## see https://golangci-lint.run/, applies .golangci.yml
	golangci-lint run

lint: govet ci-lint

goimports: ## sort and separate imports
	go get golang.org/x/tools/cmd/goimports
	goimports -l -w .

goclean: gofmt goimports ## apply go style rules to source

regenerate: ## regenerate all example and test files
	make install
	make -C example regenerate
	make -C internal/test regenerate
	make goclean
	make lint

check: ## regenerate, lint and run a terse version of check
	@# quietly install and regenerate
	@go mod tidy
	@make --quiet install
	@make --quiet -C example regenerate
	@make --quiet -C internal/test regenerate
	@# promote formatting changes to errors
	@if [ -n "$(gofmt -l -s .)" ]; then { echo "gofmt errors:"; gofmt -d -l -s . ; exit 1; }; fi
	@if [ -n "$(gomports -l . )" ]; then { echo "goimports errors:"; goimports -l . ; exit 1; }; fi
	@make --quiet lint
	@go test ./... | grep -v "\[no test"

ci: ## run all ci checks
	make regenerate
	@git diff --exit-code . || { echo "ERROR: commit and working copy differ after 'make regenerate'"; exit 22 ; }
	make test
	@git diff --exit-code . || { echo "ERROR: commit and working copy differ after 'make test'" ; exit 22 ; }

=== example/Makefile ===
regenerate:
	make -C astx regenerate
	make -C bools regenerate
	make -C calc regenerate
	make -C errormsg regenerate
	make -C errorrecovery regenerate
	make -C mail regenerate
	make -C nolexer regenerate
	make -C rr regenerate
	make -C sr regenerate
	make -C usercontext regenerate

=== example/astx/Makefile ===
regenerate:
	gocc ast.bnf

=== example/mail/Makefile ===
regenerate:
	gocc mail.bnf

=== example/nolexer/Makefile ===
regenerate:
	gocc -no_lexer nolexer.bnf

=== example/sr/Makefile ===
regenerate:
	gocc -a sr.bnf

=== example/usercontext/Makefile ===
regenerate:
	gocc -a example.bnf

=== debian/changelog ===
gocc (0.0~git20211213.7ea6993-1ubuntu0.22.10.1) kinetic-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 04 May 2023 13:53:39 +0530

gocc (0.0~git20211213.7ea6993-1) unstable; urgency=medium

  * Source-only upload after NEW.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Mar 2022 11:57:48 +0100

gocc (0.0~git20211213.7ea6993-1~exp1) experimental; urgency=medium

  * Initial release. Closes: #1006886.

 -- Stephen Kitt <skitt@debian.org>  Tue, 08 Mar 2022 19:29:24 +0100

=== debian/control ===
Source: gocc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-golang-x-mod-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gocc
Vcs-Git: https://salsa.debian.org/go-team/packages/gocc.git
Homepage: https://github.com/goccmack/gocc
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/goccmack/gocc

Package: gocc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Go lexer and parser generator
 Gocc generates lexer-parser pairs or stand-alone DFAs or parsers from
 a Backus-Naur form (BNF). The generated lexers are deterministic
 finite automata (DFAs), recognising regular languages. The generated
 parsers are pushdown automata (PDAs), recognising LR(1) languages.
 Optional LR(1) conflict handling automatically resolves shift/reduce
 and reduce/reduce conflicts.

Package: golang-github-goccmack-gocc-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Go lexer and parser generator (library)
 Gocc generates lexer-parser pairs or stand-alone DFAs or parsers from
 a Backus-Naur form (BNF). The generated lexers are deterministic
 finite automata (DFAs), recognising regular languages. The generated
 parsers are pushdown automata (PDAs), recognising LR(1) languages.
 Optional LR(1) conflict handling automatically resolves shift/reduce
 and reduce/reduce conflicts.
 .
 This package provides Gocc as a Go library.

## gocc 0.0~git20230228.2292f9e

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,7 @@
 
 lint: govet ci-lint
 
-goimports: ## sort and separate imports
-	go get golang.org/x/tools/cmd/goimports
-	goimports -l -w .
-
-goclean: gofmt goimports ## apply go style rules to source
+goclean: gofmt ## apply go style rules to source
 
 regenerate: ## regenerate all example and test files
 	make install
@@ -41,7 +37,6 @@
 	@make --quiet -C internal/test regenerate
 	@# promote formatting changes to errors
 	@if [ -n "$(gofmt -l -s .)" ]; then { echo "gofmt errors:"; gofmt -d -l -s . ; exit 1; }; fi
-	@if [ -n "$(gomports -l . )" ]; then { echo "goimports errors:"; goimports -l . ; exit 1; }; fi
 	@make --quiet lint
 	@go test ./... | grep -v "\[no test"

=== example/calc/Makefile ===
regenerate:
	gocc calc.bnf

=== example/errormsg/Makefile ===
regenerate:
	gocc example.bnf

=== example/errorrecovery/Makefile ===
regenerate:
	gocc er.bnf

=== example/rr/Makefile ===
regenerate:
	gocc -a rr.bnf

=== internal/test/Makefile ===
regenerate:
	make -C t1 regenerate

=== internal/test/t1/Makefile ===
regenerate:
	gocc t1.bnf

=== debian/changelog ===
gocc (0.0~git20230228.2292f9e-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 24 Jun 2025 12:13:55 +1000

gocc (0.0~git20230228.2292f9e-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:41:05 +0100

gocc (0.0~git20230228.2292f9e-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 13:19:38 +0530

gocc (0.0~git20230228.2292f9e-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use the native Go compiler.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Oct 2023 17:00:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any,
+               golang-any:native,
                golang-golang-x-mod-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gocc
 Vcs-Git: https://salsa.debian.org/go-team/packages/gocc.git
 Homepage: https://github.com/goccmack/gocc

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := internal/test/t2/t2.bnf

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_install:
	find $(CURDIR)/debian -name '*.go' -exec chmod 644 {} +

override_dh_auto_test:
	PATH=$(CURDIR)/_build/bin:$$PATH dh_auto_test

=== debian/watch ===
version=4
# gocc has tags but they don't match the Go module version
opts="mode=git, pgpmode=none" \
https://github.com/goccmack/gocc/ \
HEAD debian uupdate
